This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 725643 - [Clone Case] Can't create a link to selected case when clone a case
[Clone Case] Can't create a link to selected case when clone a case
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.5
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Yang Ren
tools-bugs
: Regression
: 726320 729056 (view as bug list)
Depends On:
Blocks: 730733
  Show dependency treegraph
 
Reported: 2011-07-26 03:24 EDT by Xin Gao
Modified: 2016-05-31 21:49 EDT (History)
10 users (show)

See Also:
Fixed In Version: TCMS 3.6.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
clone case error (20.54 KB, image/png)
2011-07-26 03:24 EDT, Xin Gao
no flags Details

  None (edit)
Description Xin Gao 2011-07-26 03:24:08 EDT
Created attachment 515194 [details]
clone case error

Description of problem:
As Summary

Version-Release number of selected component (if applicable):
3.5.0-4 on stage

How reproducible:


Steps to Reproduce:
1. Get one or more case(s) via Advanced search/Simple search/Quick search
   such as following link:
   https://tcms-stage.englab.bne.redhat.com/cases/?a=search&search=test

   Or get case(s) from a plan
   such as following link:
   https://tcms-stage.englab.bne.redhat.com/plan/3471/

2. Select one case from case list.
   Notice: Just need select one case! selecting more than one cases can't reproduce this problem.
3. Click "Clone" button.
4. Filter one/more plan(s), and then select one/more plan(s)
5. Do not check "Create a Copy (Unchecking will create a link to selected case)" in the Clone Settings.
6. Click "Clone" button.

  
Actual results:
Come out error page.
refer to attachment.

Expected results:
Clone successfully.

Additional info:
Comment 1 Yuguang Wang 2011-07-28 04:30:44 EDT
*** Bug 726320 has been marked as a duplicate of this bug. ***
Comment 2 Xin Gao 2011-08-08 22:11:22 EDT
*** Bug 729056 has been marked as a duplicate of this bug. ***
Comment 3 Petr Šplíchal 2011-10-20 04:24:21 EDT
Any update about this regression? Additionally, this blocks
preserving the test case sort key when cloning test cases. I
believe this should be fixed as soon as possible. Thanks.
Comment 4 Aleš Mareček 2011-11-18 13:14:01 EST
Well, I know there is a second way to clone test cases but because some "hidden filters" I can't link them. Result => can't clone test cases to some other plan. This is very unpleasant in time of incoming RHEL-5.8 test phase, it's blocking our processes!
Please resolve it ASAP!
Thanks and regards!
Comment 5 jianchen 2011-11-23 02:40:04 EST
(In reply to comment #0)
> Created attachment 515194 [details]
> clone case error
> 
> Description of problem:
> As Summary
> 
> Version-Release number of selected component (if applicable):
> 3.5.0-4 on stage
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1. Get one or more case(s) via Advanced search/Simple search/Quick search
>    such as following link:
>    https://tcms-stage.englab.bne.redhat.com/cases/?a=search&search=test
> 
>    Or get case(s) from a plan
>    such as following link:
>    https://tcms-stage.englab.bne.redhat.com/plan/3471/
> 
> 2. Select one case from case list.
>    Notice: Just need select one case! selecting more than one cases can't
> reproduce this problem.
> 3. Click "Clone" button.
> 4. Filter one/more plan(s), and then select one/more plan(s)
> 5. Do not check "Create a Copy (Unchecking will create a link to selected
> case)" in the Clone Settings.
> 6. Click "Clone" button.
> 
> 
> Actual results:
> Come out error page.
> refer to attachment.
> 
> Expected results:
> Clone successfully.
> 
> Additional info:

This bug was fixed in tcms 3.6.2, Create a Copy and Create a link to selected case is okay now. besides, if you create link to selected case the sortkey will keep with the plan which you clone from.
Thanks and regards!
Comment 6 Xin Gao 2011-11-24 00:57:38 EST
Verify version and result:
3.6.2 on englab --> PASSED

Actual results:
Actually, now this issue has been fixed. But it's not perfect since produce a new bug(Can't create a link to selected case when clone a case and check "Use the same Plan"). And this's a regression problem.
About new bug, pls refer to following link.
https://bugzilla.redhat.com/show_bug.cgi?id=756648

Note You need to log in before you can comment on or make changes to this bug.